> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/haut.ai-features/upload-photos.md).

# Upload Images

This page describes a feature of Haut.AI SaaS Platform that allows you to quickly upload any image for analysis.

{% hint style="success" %}
Upload Image feature is available for <mark style="color:green;">**all**</mark> plans
{% endhint %}

{% hint style="info" %}
Upload Image section is available in the [Upload photo section in SaaS](https://saas.haut.ai/app/upload)
{% endhint %}

![](https://245161714-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MWxBX_zB4FnflOpyBGO%2F-MjccXHmtDys575q9UqA%2F-MjccaQPGG-ODN0KTDDk%2Fupload_photos.png?alt=media\&token=f86c0d1d-d9bf-4c75-b38f-3daa7ddbb104)

## Upload via Interface: Modes

There are 2 modes of image upload via the SaaS interface:

* [Simple Mode for Photo Upload Interface](/haut.ai/haut.ai-features/upload-photos/simple-mode.md)
* [Advanced Mode for Photo Upload Interface](/haut.ai/haut.ai-features/upload-photos/advanced-mode.md). Advanced Mode is required if you need to upload the side images of the face.

{% hint style="danger" %}
**We only support uploading and processing of this image formats:**

* JPEG
* PNG
* WEBP
  {% endhint %}

***

## Upload API

{% hint style="warning" %}
API access is available only for <mark style="color:purple;">**Professional**</mark> plan clients
{% endhint %}

See [API Quick Start Guide](/haut.ai/developers/deprecated-developer-guide/api_quick_start.md#upload-image-to-dataset)

***

## FAQ

### What image file formats does SaaS support?

SaaS supports the upload and processing of images only in these file formats:

* JPEG
* PNG
* WEBP

### What are the limitations of uploaded images?

SaaS supports uploading and processing images of a minimal size of 256 x 256 pixels and a maximum size of 6000 x 6000 pixels.

SaaS supports the upload of image files up to 30 MB.

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/haut.ai-features/upload-photos.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
